summaryrefslogtreecommitdiffstats
path: root/system/oracle-instantclient-devel
diff options
context:
space:
mode:
author DhabyX <slack.dhabyx@gmail.com>2016-08-02 00:48:17 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-03 07:29:32 +0700
commitcbfb19fb2c2bf58055c5ff0245f40d3bf1f721d9 (patch)
tree28b11253fb5713e7c28847faac1b422e5a8febba /system/oracle-instantclient-devel
parentf9a7ee74253ef414341b128439eae3ace3add588 (diff)
downloadslackbuilds-cbfb19fb2c2bf58055c5ff0245f40d3bf1f721d9.tar.gz
slackbuilds-cbfb19fb2c2bf58055c5ff0245f40d3bf1f721d9.tar.xz
system/oracle-instantclient-devel: Added (Oracle Devel Headers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/oracle-instantclient-devel')
-rw-r--r--system/oracle-instantclient-devel/README17
-rw-r--r--system/oracle-instantclient-devel/oracle-instantclient-devel.SlackBuild95
-rw-r--r--system/oracle-instantclient-devel/oracle-instantclient-devel.info10
-rw-r--r--system/oracle-instantclient-devel/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/system/oracle-instantclient-devel/README b/system/oracle-instantclient-devel/README
new file mode 100644
index 0000000000..b05c7fec2e
--- /dev/null
+++ b/system/oracle-instantclient-devel/README
@@ -0,0 +1,17 @@
+Oracle Instant Client Devel is a free devel headers
+for connecting to Oracle databases.
+
+It provides additional header files for compiling
+applications against instantclient.
+
+Oracle-xe and JRE or JDK packages are optional and
+depends on your needs.
+
+You need an Oracle account and you must Agree to Oracle's
+download agreement before this can be downloaded.
+You have to use a web browser to download it.
+
+Ensure that you download the correct RPM
+"Instant Client Package - SDK"
+For x86: oracle-instantclient12.1-devel-12.1.0.2.0-1.i386.rpm
+For x86_64: oracle-instantclient12.1-devel-12.1.0.2.0-1.x86_64.rpm
diff --git a/system/oracle-instantclient-devel/oracle-instantclient-devel.SlackBuild b/system/oracle-instantclient-devel/oracle-instantclient-devel.SlackBuild
new file mode 100644
index 0000000000..ac8980b3aa
--- /dev/null
+++ b/system/oracle-instantclient-devel/oracle-instantclient-devel.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for oracle-instantclient-devel
+
+# Copyright 2015 Dhaby Xiloj <slack.dhabyx@gmail.com> Guatemala
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=oracle-instantclient-devel
+VERSION=${VERSION:-12.1.0.2.0}
+RELEASE=${RELEASE:-1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ORAVER="12.1"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ x86_64) ARCH=x86_64 ;;
+ *) echo "Architecture not supported"; exit 0;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+# recreating the name of the RPM
+RPMNAM="$(echo ${PRGNAM} | cut -d '-' -f 1-2)\
+${ORAVER}-$(echo ${PRGNAM} | cut -d '-' -f 3)\
+-$VERSION-$RELEASE.$ARCH.rpm"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+rpm2cpio < $CWD/$RPMNAM | cpio -imdv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "$LIBDIRSUFFIX" = "64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+ORACLE_CLIENT_HOME="/usr/lib${LIBDIRSUFFIX}/oracle/${ORAVER}/\
+client${LIBDIRSUFFIX}"
+ORACLE_CLIENT_INCLUDE="/usr/include/oracle/${ORAVER}/client${LIBDIRSUFFIX}"
+
+
+# Testing if ORACLE already installed
+if [ -z "${ORACLE_HOME}" ]; then
+ ORACLE_HOME=$ORACLE_CLIENT_HOME
+fi
+
+# make symbolic link to include directory
+mkdir -p $PKG/$ORACLE_HOME
+ln -sf $ORACLE_CLIENT_INCLUDE $PKG/$ORACLE_HOME/include
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/oracle-instantclient-devel/oracle-instantclient-devel.info b/system/oracle-instantclient-devel/oracle-instantclient-devel.info
new file mode 100644
index 0000000000..22fb28f4e3
--- /dev/null
+++ b/system/oracle-instantclient-devel/oracle-instantclient-devel.info
@@ -0,0 +1,10 @@
+PRGNAM="oracle-instantclient-devel"
+VERSION="12.1.0.2.0"
+HOMEPAGE="http://www.oracle.com/technetwork/database/features/instant-client/index-097480.html"
+DOWNLOAD="http://download.oracle.com/otn/linux/instantclient/121020/oracle-instantclient12.1-devel-12.1.0.2.0-1.i386.rpm"
+MD5SUM="b909d555074ab3c31c6c5ff8beb889c9"
+DOWNLOAD_x86_64="http://download.oracle.com/otn/linux/instantclient/121020/oracle-instantclient12.1-devel-12.1.0.2.0-1.x86_64.rpm"
+MD5SUM_x86_64="ac5bf56bce1c1521e1ca1984c3374a93"
+REQUIRES="oracle-instantclient-basic"
+MAINTAINER="DhabyX"
+EMAIL="slack.dhabyx@gmail.com"
diff --git a/system/oracle-instantclient-devel/slack-desc b/system/oracle-instantclient-devel/slack-desc
new file mode 100644
index 0000000000..00c30b9f44
--- /dev/null
+++ b/system/oracle-instantclient-devel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+oracle-instantclient-devel: oracle-instantclient-devel (Oracle Development Headers)
+oracle-instantclient-devel:
+oracle-instantclient-devel: Oracle Instant Client Devel is a free devel headers
+oracle-instantclient-devel: for connecting to Oracle databases.
+oracle-instantclient-devel:
+oracle-instantclient-devel: It provides additional header files for compiling
+oracle-instantclient-devel: applications against instantclient.
+oracle-instantclient-devel:
+oracle-instantclient-devel:
+oracle-instantclient-devel:
+oracle-instantclient-devel: